import * as $dara from '@darabonba/typescript';
import { CreateFileDetectUploadUrlResponseBody } from "./CreateFileDetectUploadUrlResponseBody";
export declare class CreateFileDetectUploadUrlResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateFileDetectUploadUrlResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
